Subject: Re: egit and RSA keys for SSH

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 15 Jun 2009 08:04:30 -0700

Tay Ray Chuan <[email-masked]> wrote:
> On Mon, Jun 15, 2009 at 8:16 AM, Aaron
> Hicks<[email-masked]> wrote:
> > The problem is I can't see how to associate an RSA key in
> > order to authenticate the SSH login with our gitosis repository (or
> > GitHub). We have PuTTY installed and use Pageant to manage keys, and
> > the required key is already loaded. We've used the 'import project'
> > wizard, and initialised git in our project workspace, and though egit
> > becomes aware that the project is a git repository, there seem to
> > be no menu items for associating an RSA key with a remote repository.
> 
> For git, I set the GIT_SSH environment variable to PuTTY's plink.exe
> location. I wonder if this might work with egit?

No.  JGit (the library under EGit) does not honor GIT_SSH.

-- 
Shawn.